GET api/StoreRoom/GetStoreKcmx?deptId={deptId}&key={key}&page={page}&pagesize={pagesize}&customerId={customerId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| deptId | integer |
Required |
|
| key | string |
Required |
|
| page | integer |
Required |
|
| pagesize | integer |
Default value is 20 |
|
| customerId | integer |
Default value is 0 |
Body Parameters
None.
Response Information
Resource Description
ServerResponseOfListOfstore_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| Entity | Collection of store_quantity |
None. |
|
| errcode |
返回码 |
integer |
None. |
| errmsg |
对返回码的文本描述内容 |
string |
None. |
| ReturnValue |
返回值 |
Object |
None. |
Response Formats
application/json, text/json
Sample:
{
"Entity": [
{
"room_name": "sample string 1",
"position_name": "sample string 2",
"name": "sample string 3",
"type": "sample string 4",
"specifications": "sample string 5",
"id": 6,
"goods_id": 7,
"ssdw_id": 8,
"room_id": 9,
"position_id": 10,
"quantity": 11,
"single_weight": 12.1,
"remark": "sample string 13"
},
{
"room_name": "sample string 1",
"position_name": "sample string 2",
"name": "sample string 3",
"type": "sample string 4",
"specifications": "sample string 5",
"id": 6,
"goods_id": 7,
"ssdw_id": 8,
"room_id": 9,
"position_id": 10,
"quantity": 11,
"single_weight": 12.1,
"remark": "sample string 13"
}
],
"errcode": 1,
"errmsg": "sample string 2",
"ReturnValue": {}
}
multipart/form-data
Sample:
<ServerResponseOfArrayOfstore_quantity_PZC5QaEm xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Api.Models"><_x003C_ReturnValue_x003E_k__BackingField /><_x003C_errcode_x003E_k__BackingField>1</_x003C_errcode_x003E_k__BackingField><_x003C_errmsg_x003E_k__BackingField>sample string 2</_x003C_errmsg_x003E_k__BackingField><_x003C_Entity_x003E_k__BackingField xmlns:d2p1="http://schemas.datacontract.org/2004/07/Easyman.Model"><d2p1:store_quantity><d2p1:goods_id>7</d2p1:goods_id><d2p1:id>6</d2p1:id><d2p1:position_id>10</d2p1:position_id><d2p1:quantity>11</d2p1:quantity><d2p1:remark>sample string 13</d2p1:remark><d2p1:room_id>9</d2p1:room_id><d2p1:single_weight>12.1</d2p1:single_weight><d2p1:ssdw_id>8</d2p1:ssdw_id><d2p1:name>sample string 3</d2p1:name><d2p1:position_name>sample string 2</d2p1:position_name><d2p1:room_name>sample string 1</d2p1:room_name><d2p1:specifications>sample string 5</d2p1:specifications><d2p1:type>sample string 4</d2p1:type></d2p1:store_quantity><d2p1:store_quantity><d2p1:goods_id>7</d2p1:goods_id><d2p1:id>6</d2p1:id><d2p1:position_id>10</d2p1:position_id><d2p1:quantity>11</d2p1:quantity><d2p1:remark>sample string 13</d2p1:remark><d2p1:room_id>9</d2p1:room_id><d2p1:single_weight>12.1</d2p1:single_weight><d2p1:ssdw_id>8</d2p1:ssdw_id><d2p1:name>sample string 3</d2p1:name><d2p1:position_name>sample string 2</d2p1:position_name><d2p1:room_name>sample string 1</d2p1:room_name><d2p1:specifications>sample string 5</d2p1:specifications><d2p1:type>sample string 4</d2p1:type></d2p1:store_quantity></_x003C_Entity_x003E_k__BackingField></ServerResponseOfArrayOfstore_quantity_PZC5QaEm>